org.custommonkey.xmlunit

## Interface ComparisonController

All Known Implementing Classes:
  DetailedDiff, Diff

    public interface ComparisonController

Callback interface used by DifferenceEngine to determine whether to halt the node-by-node comparison of two pieces of XML

### Method Summary

Methods
`boolean` `haltComparison(Difference afterDifference)` Determine whether a Difference that the listener has been notified of should halt further XML comparison.

### Method Detail

#### haltComparison

    boolean haltComparison(Difference afterDifference)

Determine whether a Difference that the listener has been notified of should halt further XML comparison. Default behaviour for a Diff instance is to halt if the Difference is not recoverable.

Parameters:
  `afterDifference` - the last Difference passed to `differenceFound`
Returns:
  true to halt further comparison, false otherwise
See Also:
  `Difference.isRecoverable()`